package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 座对象 sim_seat
 *
 * @author tom
 * @date 2024-12-13
 */
public class Seat extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 座ID
     */
    private Long seatId;

    /**
     * 座号
     */
    @Excel(name = "座号")
    private Integer seatNum;

    /**
     * 绑定的IP地址
     */
    @Excel(name = "绑定的IP地址")
    private String seatBindIp;

    /**
     * 当前座上学员/用户ID
     */
    @Excel(name = "当前座上学员/用户ID")
    private Long currentUserId;

    public void setSeatId(Long seatId) {
        this.seatId = seatId;
    }

    public Long getSeatId() {
        return seatId;
    }

    public void setSeatNum(Integer seatNum) {
        this.seatNum = seatNum;
    }

    public Integer getSeatNum() {
        return seatNum;
    }

    public void setSeatBindIp(String seatBindIp) {
        this.seatBindIp = seatBindIp;
    }

    public String getSeatBindIp() {
        return seatBindIp;
    }

    public void setCurrentUserId(Long currentUserId) {
        this.currentUserId = currentUserId;
    }

    public Long getCurrentUserId() {
        return currentUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("seatId", getSeatId())
                .append("seatNum", getSeatNum())
                .append("seatBindIp", getSeatBindIp())
                .append("currentUserId", getCurrentUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
